Add candidate system data
curl --request POST \
--url https://api.hyrd.de/gin/v1/company/candidate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"phone\": \"+60147383114\",\n \"email\": \"[email protected]\",\n \"source\": \"\",\n \"employee\": false\n}"
'import requests
url = "https://api.hyrd.de/gin/v1/company/candidate"
payload = "{
\"phone\": \"+60147383114\",
\"email\": \"[email protected]\",
\"source\": \"\",
\"employee\": false
}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "phone": "+60147383114",\n "email": "[email protected]",\n "source": "",\n "employee": false\n}')
};
fetch('https://api.hyrd.de/gin/v1/company/candidate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"message\": \"Candidate input successfully\",\n \"status\": \"success\",\n \"data\": {\n \"slug\": \"335516d7-d3ed-4fce-924d-237d07832d58\"\n }\n}"Company > Candidate
Add candidate system data
POST /gin/v1/company/candidate
This endpoint allows the addition of a candidate to a company based on Company Id or authorization api key
Request Body
-
phone(string, optional): The phone number of the candidate. (Required if email is missing) -
email(string, optional): The email address of the candidate. (Required if phone is missing) -
source(string, optional): The source of imported candidate. If empty the result will be -
employee(boolean, optional): Is this person an employee or a candidate ?. If empty the result will be false
Response
The response for this request can be represented as a JSON schema:
{
"type": "object",
"properties": {
"message": {
"type": "string"
},
"status": {
"type": "string"
},
"data": {
"type": "object",
"properties": {
"slug": {
"type": "string"
}
}
}
}
}
POST
/
gin
/
v1
/
company
/
candidate
Add candidate system data
Headers
Body
application/json
The body is of type object.
Response
Created
The response is of type string.